<mat-card>
    <mat-card-title>Articulos</mat-card-title>
    <mat-card-content>
        <button mat-button class="btn btn-success" (click)="openDialog('new', null)">
            <mat-icon>playlist_add_check</mat-icon>
            <mat-label>Nuevo Articulo</mat-label>
        </button>
    </mat-card-content>

    <mat-card-content>

        <mat-table [dataSource]="dataSource">
            <ng-container matColumnDef="codigo">
                <mat-header-cell *matHeaderCellDef>C&oacute;digo</mat-header-cell>
                <mat-cell *matCellDef="let ps">
                    {{ps.codigo}}
                </mat-cell>
            </ng-container>
            <ng-container matColumnDef="nombre">
                <mat-header-cell *matHeaderCellDef>Nombre</mat-header-cell>
                <mat-cell *matCellDef="let ps">
                    {{ps.nombre}}
                </mat-cell>
            </ng-container>
            <ng-container matColumnDef="precioUnitario">
                <mat-header-cell *matHeaderCellDef>Precio</mat-header-cell>
                <mat-cell *matCellDef="let ps">
                    {{ps.precioUnitario | number : '1.2-2'}}
                </mat-cell>
            </ng-container>
            <ng-container matColumnDef="activo">
                <mat-header-cell *matHeaderCellDef>Activo</mat-header-cell>
                <mat-cell *matCellDef="let ps">
                    {{ps.activo ? 'SI' : 'NO'}}
                </mat-cell>
            </ng-container>
            <ng-container matColumnDef="opciones">
                <mat-header-cell *matHeaderCellDef>Opciones</mat-header-cell>
                <mat-cell *matCellDef="let ps">
                    <mat-icon aria-label="Editar" (click)="openDialog('edit', ps)" style="cursor: pointer">
                        border_color
                    </mat-icon>

                    <mat-icon (click)="remove(ps.id)" style="cursor: pointer;">
                        close
                    </mat-icon>
                </mat-cell>
            </ng-container>
            <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
            <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>
        </mat-table>
        
        <mat-paginator #paginator [pageSize]="5" [pageSizeOptions]="[5, 10, 15, 20]"></mat-paginator>
    
    </mat-card-content>
</mat-card>